#version 330 core
//#pragma optionNV(unroll all)

uniform sampler2D proj_Map;

// passed on from VS
in vec4 PT_tex_coord;

// final fragment color
out vec4 fragColor;

void main(void) {

	// calculate color of projected textures - surpress backprojection
	if(PT_tex_coord.w > 0.0 && PT_tex_coord.w < 4.5) {
		vec4 projMapColor = textureProj(proj_Map, PT_tex_coord);
		if(projMapColor.a >= 0.9) {
			fragColor = projMapColor;
		} else {
			discard;
		}
	} else {
		discard;
	}
}
