#version 330 core

// attribute passed by the application
layout(location = 0) in vec3 position;

// model matrix
uniform mat4 M;
// projection * view matrix for the camera
uniform mat4 PV_cam;

// projection matrix for the projected textures
uniform mat4 proj_tex_mat;

// pass on to the FS
out vec4 PT_tex_coord;

void main(void) {

	// standard transformation
	gl_Position = PV_cam * M * vec4(position, 1);
	PT_tex_coord = proj_tex_mat * M * vec4(position, 1);

}