#version 330 core

// attribute passed by the application
layout(location = 0) in vec3 position;

// model matrix
uniform mat4 M;
// projection * view matrix for the camera
uniform mat4 PV_cam;

uniform mat4 shadow_tex_mat;

// pass on to the FS
out vec4 SM_tex_coord;

void main(void) {

	// standard transformation
	gl_Position = PV_cam * M * vec4(position, 1);
	// shadow texture coords in projected light space
	SM_tex_coord = shadow_tex_mat * M * vec4(position, 1);

}